package net.moonleay.gimble.client.util

import net.minecraft.client.MinecraftClient
import net.minecraft.text.Text

object ChatUtil {
     /**
      * Note: command arg should contain "/" at the beginning.
      * */
    fun sendCommand(command: String, client: MinecraftClient, addToHistory: Boolean = true): Boolean {
        if (addToHistory) {
            client.inGameHud.chatHud.addToMessageHistory(command)
        }
        return client.player?.sendCommand(command.substring(1))?: false
    }

    fun addToChatHistory(message: String, client: MinecraftClient) {
        client.inGameHud.chatHud.addMessage(Text.of(message))
    }
}
